Orgs Knowledge
Create Content
Create a new content for the organization.
POST
/
orgs
/
{org_id}
/
knowledge
/
contents
Create Content
curl --request POST \
--url https://api.useinvent.com/orgs/{org_id}/knowledge/contents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": {
"type": "TEXT",
"text": "<string>"
},
"title": "<string>"
}
'import requests
url = "https://api.useinvent.com/orgs/{org_id}/knowledge/contents"
payload = {
"content": {
"type": "TEXT",
"text": "<string>"
},
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: {type: 'TEXT', text: '<string>'}, title: '<string>'})
};
fetch('https://api.useinvent.com/orgs/{org_id}/knowledge/contents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"type": "TEXT",
"content": {
"type": "TEXT",
"text": "<string>"
},
"size": 123,
"chunks_processed": 123,
"chunks_count": 123,
"error": "<string>",
"status": "PENDING",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"parent_content_id": "<string>",
"children": [
{
"id": "<string>",
"status": "PENDING",
"title": "<string>",
"content": {
"type": "TEXT",
"text": "<string>"
},
"size": 123,
"chunks_processed": 123,
"chunks_count": 123,
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"parent_content_id": "<string>"
}
]
}Authorizations
Bearer token authentication using your API key
Path Parameters
The ID of the org
Body
application/jsonmultipart/form-data
The content information.
Response
200 - application/json
The created content.
Schema for vector content
Title of the vector
Type of the vector content
Available options:
TEXT, FILE, URL Content configuration schema for different vector input types
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Size of the vector in bytes
Number of chunks processed for the vector
Number of chunks in the vector
Error message if vector processing failed
Status of vector processing
Available options:
PENDING, PROCESSING, PROCESSED, FAILED Parent content ID
Children (for URL crawl parents)
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create Content
